#  Copyright (c) 2022. Lorem ipsum dolor sit amet, consectetur adipiscing elit.
#  Morbi non lorem porttitor neque feugiat blandit. Ut vitae ipsum eget quam lacinia accumsan.
#  Etiam sed turpis ac ipsum condimentum fringilla. Maecenas magna.
#  Proin dapibus sapien vel ante. Aliquam erat volutpat. Pellentesque sagittis ligula eget metus.
#  Vestibulum commodo. Ut rhoncus gravida arcu.

import datetime
import json
import os
from logging import config, getLogger

from cdcc import get_username

_log_extra = {
    'user': get_username()
}
_path = os.path.join(os.path.dirname(__file__), "data/log_config.json")
print(_path)
with open(_path, mode="r") as fp:
    _log_config = json.load(fp)

_log_config['handlers']['fileHandler']['filename'] = 'ITXO-{}.log'.format(datetime.date.today())
config.dictConfig(_log_config)

if __name__ == '__main__':
    logger = getLogger(__name__)
    logger.info("test", extra=_log_extra)
