#  Copyright (c) 2022. Lorem ipsum dolor sit amet, consectetur adipiscing elit.
#  Morbi non lorem porttitor neque feugiat blandit. Ut vitae ipsum eget quam lacinia accumsan.
#  Etiam sed turpis ac ipsum condimentum fringilla. Maecenas magna.
#  Proin dapibus sapien vel ante. Aliquam erat volutpat. Pellentesque sagittis ligula eget metus.
#  Vestibulum commodo. Ut rhoncus gravida arcu.

import os

import platform


def get_username() -> str:
    pf = platform.system()
    if pf == "Windows":
        return os.getenv('USERNAME')
    if pf == "Darwin":
        return os.getenv('USER')
    if pf == "Linux":
        return os.getenv('USER')
    return 'Unknown'
